%define upstream_name    FCGI-Daemon
%define upstream_version 0.20111121

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An easy to use FastCGI daemon for nginx
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/FCGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI) >= 0.710.0
BuildRequires: perl(FCGI::ProcManager) >= 0.180.0
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(IO::Select)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
FCGI::Daemon is a small (Fast)CGI server for use as CGI-wrapper for
unmodified CGI applications.

Factored as modulino, currently it doesn't have any Perl module
functionality.

It was developed as replacement for cgiwrap-fcgi.pl - see
L<http://wiki.nginx.org/SimpleCGI>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.201.111.210-3.mga4
+ Revision: 511508
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.201.111.210-2.mga3
+ Revision: 367107
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.201.111.210-1.mga2
+ Revision: 172339
- update to 0.20111121

* Sat Nov 26 2011 kharec <kharec> 0.201.110.140-1.mga2
+ Revision: 172216
- imported package perl-FCGI-Daemon


* Sat Nov 26 2011 cpan2dist 0.20111014-1mga
- initial mageia release, generated with cpan2dist
